
Katello - Bug #4993

UI: Unable to delete an activation key

04/01/2014 11:32 AM - Thomas McKay

Status: Closed   

Priority: High   

Assignee: Thomas McKay   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1063273 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1063273

Description of problem:

I created a new activation key, but couldn't remove it as the 'Remove' button remains disabled. I didn't add any subscriptions to it.

Just created it with name, description and env.

Version-Release number of selected component (if applicable):

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

foreman-release-1.5.0-0.develop.201402071024gitcfc2bb6.el6.noarch

foreman-postgresql-1.5.0-0.develop.201402071024gitcfc2bb6.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

foreman-1.5.0-0.develop.201402071024gitcfc2bb6.el6.noarch

foreman-selinux-1.5.0-0.develop.201401221845git5f25c33.el6.noarch

You have new mail in /var/spool/mail/root

[root@dhcp201-110 ~]# rpm -qa | grep katello

rubygem-katello_api-0.0.8-1.el6.noarch

katello-installer-0.0.19-1.201401240512git2afb47f.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201402072100git74f0a79.el6.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

rubygem-hammer_cli_katello-0.0.3-1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

katello-1.5.0-14.201402072100git74f0a79.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

katello-certs-tools-1.5.1-1.el6.noarch

How reproducible:

always

Steps to Reproduce:

1. Create a activation key

2. delete it

3.

Actual results:

'Remove' button remains disabled

Expected results:

User should be able to delete existing activation key

Additional info:

Associated revisions

Revision 724ae17f - 04/04/2014 11:18 AM - Thomas McKay

Merge pull request #3676 from thomasmckay/bz1063273
https://bugzilla.redhat.com/show_bug.cgi?id=1063273


fixes #4993, bz1063273 - properly enable/disable remove ui button"

Revision 9dcb1fa7 - 04/04/2014 03:18 PM - Thomas McKay

Merge pull request #3676 from thomasmckay/bz1063273

fixes #4993, bz1063273 - properly enable/disable remove ui button"

History

#1 - 04/01/2014 11:33 AM - Thomas McKay

- Status changed from New to Assigned

- Assignee set to Thomas McKay

- Triaged set to No

#2 - 04/04/2014 03:52 PM - Thomas McKay

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:9dcb1fa7960989cc0586c4842288e078626dac6d.

#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:43 PM - Eric Helms

- translation missing: en.field_release set to 13
